Debian Bug report logs - #461486
ITP: luxrender -- rendering system for physically correct 3D image synthesis

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Boris de Laage <bdelaage@gmail.com>

Date: Fri, 18 Jan 2008 22:51:01 UTC

Owned by: bdelaage@gmail.com

Severity: wishlist

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org, Jean-Francois Romang <jeanfrancois.romang@laposte.net>, debian-devel@lists.debian.org, <wnpp@debian.org>, cyril brulebois <cyril.brulebois@enst-bretagne.fr>:
Bug#461486; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Cyril Brulebois <cyril.brulebois@enst-bretagne.fr>:
New Bug report received and forwarded. Copy sent to debian-devel@lists.debian.org, Jean-Francois Romang <jeanfrancois.romang@laposte.net>, debian-devel@lists.debian.org, <wnpp@debian.org>, cyril brulebois <cyril.brulebois@enst-bretagne.fr>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Cyril Brulebois <cyril.brulebois@enst-bretagne.fr>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ITP: luxrender -- rendering system for physically correct 3D image synthesis
Date: Fri, 18 Jan 2008 23:47:43 +0100
Package: wnpp
Severity: wishlist
Owner: Cyril Brulebois <cyril.brulebois@enst-bretagne.fr>

* Package name    : luxrender
  Version         : 0.1~rc4
  Upstream Authors: PHARR Matt <authors@pbrt.org>
                    HUMPHREYS Greg <authors@pbrt.org>
					VERGAUWEN Terrence <terrence27@gmail.com>
					ROMANG Jean-Francois <jeanfrancois.romang@laposte.net>
					BIENKOWSKI Peter <zcott@o2.pl>
					BECH Tom <tom.bech@gmail.com>
                    et al.
* URL             : http://luxrender2.org/
* License         : GPL (v3 or later)
  Programming Lang: C++
  Description     : rendering system for physically correct 3D image synthesis

 LuxRender is a rendering system for physically correct, unbiased 3D image
 synthesis. By calculating complex light interactions and using physically
 accurate cameras and materials, LuxRender is capable of simulating light
 exactly as in the real world.
 .
 Luxrender is directly usable by artists, with the tools and features they
 need to produce high-quality photorealistic images, especially in areas like
 architectural visualization, product design, and prototyping.
 .
 It also provides with a Blender exporter, a GUI, and a C API that allows
 programmers to use LuxRender in their own programs.

Cheers,

-- 
Cyril Brulebois

PS: Sorry if that generates a duplicate for d-d, I put the list in the
pseudoheader to ensure the bug gets Cc'd there. /me hopes reportbug will
handle that nicely.




Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, cyril brulebois <cyril.brulebois@enst-bretagne.fr>:
Bug#461486; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Cyril Brulebois <kibi@debian.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, cyril brulebois <cyril.brulebois@enst-bretagne.fr>. Full text and rfc822 format available.

Message #10 received at 461486@bugs.debian.org (full text, mbox):

From: Cyril Brulebois <kibi@debian.org>
To: 461486@bugs.debian.org, control@bugs.debian.org
Subject: ITP update
Date: Sun, 20 Jul 2008 23:56:41 +0200
[Message part 1 (text/plain, inline)]
owner 461486 !
thanks

FTR, 0.5 got released, but changed the toolkit, so my initial packaging
needs to be adapted a bit. Also, the copyright file needs to be updated,
so it'll take some more days/weeks until it's ready to be uploaded.

Mraw,
KiBi.
[signature.asc (application/pgp-signature, inline)]

Owner changed from cyril brulebois <cyril.brulebois@enst-bretagne.fr> to Cyril Brulebois <kibi@debian.org>. Request was from Cyril Brulebois <kibi@debian.org> to control@bugs.debian.org. (Sun, 20 Jul 2008 22:00:09 GMT) Full text and rfc822 format available.

Tags added: pending Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Mon, 04 Aug 2008 08:06:05 GMT) Full text and rfc822 format available.

Reply sent to Cyril Brulebois <kibi@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Cyril Brulebois <cyril.brulebois@enst-bretagne.fr>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #19 received at 461486-close@bugs.debian.org (full text, mbox):

From: Cyril Brulebois <kibi@debian.org>
To: 461486-close@bugs.debian.org
Subject: Bug#461486: fixed in luxrender 0.5-1
Date: Sun, 10 Aug 2008 01:08:13 +0000
Source: luxrender
Source-Version: 0.5-1

We believe that the bug you reported is fixed in the latest version of
luxrender, which is due to be installed in the Debian FTP archive:

libluxrender-dev_0.5-1_i386.deb
  to pool/main/l/luxrender/libluxrender-dev_0.5-1_i386.deb
luxrender-dbg_0.5-1_i386.deb
  to pool/main/l/luxrender/luxrender-dbg_0.5-1_i386.deb
luxrender_0.5-1.diff.gz
  to pool/main/l/luxrender/luxrender_0.5-1.diff.gz
luxrender_0.5-1.dsc
  to pool/main/l/luxrender/luxrender_0.5-1.dsc
luxrender_0.5-1_i386.deb
  to pool/main/l/luxrender/luxrender_0.5-1_i386.deb
luxrender_0.5.orig.tar.gz
  to pool/main/l/luxrender/luxrender_0.5.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 461486@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Cyril Brulebois <kibi@debian.org> (supplier of updated luxrender package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sun, 03 Aug 2008 22:30:02 +0200
Source: luxrender
Binary: luxrender luxrender-dbg libluxrender-dev
Architecture: source i386
Version: 0.5-1
Distribution: unstable
Urgency: low
Maintainer: Cyril Brulebois <kibi@debian.org>
Changed-By: Cyril Brulebois <kibi@debian.org>
Description: 
 libluxrender-dev - rendering system for physically correct 3D image synthesis - deve
 luxrender  - rendering system for physically correct 3D image synthesis
 luxrender-dbg - rendering system for physically correct 3D image synthesis - debu
Closes: 461486
Changes: 
 luxrender (0.5-1) unstable; urgency=low
 .
   * Initial release (Closes: #461486).
   * Set versioned Build-Depends on cmake >= 0.4.51 because of #450901,
     which would cause an FTBFS, and because it couldn't be worked around
     due to cmake's #459207.
   * Set Build-Depends on libgl1-mesa-dev, libglu1-mesa-dev, and
     mesa-common-dev since FindOpenGL.cmake needs to find GL/gl.h,
     GL/glu.h, and libGL{,U}.so.
   * Set Build-Conflicts on libwxbase2.6-dev, libwxgtk2.6-dev because one
     can't choose which wxwidgets version to use due to cmake's #493460,
     and since those packages provide wx-config through alternatives with
     higher priority than their 2.8 equivalents.
   * Include patch to fix CR/LF in desktop file:
      - debian/patches/10_fix_crlf_in_desktop_file
   * Include patch to use the system-wide asio headers rather than the
     ones that are embedded:
      - debian/patches/20_use_systemwide_asio_headers
   * Many thanks to David Tschumperlé, who agreed to relicense his “C++
     Template Image Processing Library” (CImg) in a way which meets the
     Debian Free Software Guidelines.
Checksums-Sha1: 
 865162cea56b1595212f33e49f61338ac2148605 1594 luxrender_0.5-1.dsc
 5b75bb620bc72a01f02a0cb944d23b0c6a13c566 1678600 luxrender_0.5.orig.tar.gz
 21b45f85f668d6fc04b4a9f72f30014fb5ce2457 14946 luxrender_0.5-1.diff.gz
 aae9aecf4cae658a7df756ce2791873841ee907e 3173300 luxrender_0.5-1_i386.deb
 4a13279b1ee8ddae0adeda027fb29e5dcb490bc5 15624754 luxrender-dbg_0.5-1_i386.deb
 f31b666c666b9d89eb1d730bfbfb56aae07ac736 2393502 libluxrender-dev_0.5-1_i386.deb
Checksums-Sha256: 
 0a8f95caa5ed911674998d86aacdf3c373c39f3d18339cd09705129b188679c7 1594 luxrender_0.5-1.dsc
 4f96c79d42780c1acd0ddd029e8c1f58802f1163ec6746c7bb00769b07b9b40f 1678600 luxrender_0.5.orig.tar.gz
 de0b885afc12ad00f0d0998e42ce7860017bdf86000c06d8306f1b5ef8ddcb70 14946 luxrender_0.5-1.diff.gz
 db9d4b106f5735e75728dc7c1b35f92e12697d66852d4822b4e4a4263b0347f6 3173300 luxrender_0.5-1_i386.deb
 ab203c8d3228d420c00dfacbb27e2c447a354df48c88d4b747d490bb8272bb66 15624754 luxrender-dbg_0.5-1_i386.deb
 4e5bb75587b8287c05daf33821d92f7e5621413d68db29976fdadaeee98dc137 2393502 libluxrender-dev_0.5-1_i386.deb
Files: 
 716da471b5eccc1ad831a14d64edc185 1594 graphics extra luxrender_0.5-1.dsc
 f81f2bada7866c5e9f9df9a1d9a2701b 1678600 graphics extra luxrender_0.5.orig.tar.gz
 461e522ad4278d58644beb34fc907da0 14946 graphics extra luxrender_0.5-1.diff.gz
 605d5a05cbdbfba8dfe4c8e04cdd18e9 3173300 graphics extra luxrender_0.5-1_i386.deb
 5a1955340aec9da72c8f994773accdaf 15624754 libdevel extra luxrender-dbg_0.5-1_i386.deb
 bb0c53cfa8196bd16cb002f6537f4868 2393502 libdevel extra libluxrender-dev_0.5-1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iEYEARECAAYFAkiWH6cACgkQeGfVPHR5Nd2yAgCgp6OvIdy7Vv4P+MBriT3jtXG5
XK4AnRYr6hPiYNCasleAZnxxSF8MNS9j
=AN63
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 07 Sep 2008 07:39:48 GMT) Full text and rfc822 format available.

Bug unarchived. Request was from Boris de Laage <bdelaage@gmail.com> to control@bugs.debian.org. (Tue, 07 May 2013 11:03:07 GMT) Full text and rfc822 format available.

Bug reopened Request was from Boris de Laage <bdelaage@gmail.com> to control@bugs.debian.org. (Tue, 07 May 2013 11:03:07 GMT) Full text and rfc822 format available.

Changed Bug submitter to 'Boris de Laage <bdelaage@gmail.com>' from 'Cyril Brulebois <cyril.brulebois@enst-bretagne.fr>' Request was from Boris de Laage <bdelaage@gmail.com> to control@bugs.debian.org. (Tue, 07 May 2013 11:03:08 GMT) Full text and rfc822 format available.

No longer marked as fixed in versions luxrender/0.5-1. Request was from Boris de Laage <bdelaage@gmail.com> to control@bugs.debian.org. (Tue, 07 May 2013 11:03:08 GMT) Full text and rfc822 format available.

Owner changed from Cyril Brulebois <kibi@debian.org> to bdelaage@gmail.com. Request was from Cyril Brulebois <kibi@debian.org> to control@bugs.debian.org. (Sat, 22 Mar 2014 21:09:04 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 20:48:38 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.